// @APIVersion 1.0.0
// @Title oc-workspace
// @Description Manage user's named resource sets, kind of shopping carts
// @Contact admin@o-cloud.io
// @TermsOfServiceUrl http://cloud.o-forge.io/
// @License MIT
// @LicenseUrl https://opensource.org/license/mit
package routers

import (
	"oc-workspace/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc/",
		beego.NSInclude(
			&controllers.WorkspaceController{},
		),
		beego.NSNamespace("/version",
			beego.NSInclude(
				&controllers.VersionController{},
			),
		),
	)

	beego.AddNamespace(ns)
}
